package jp.agentec.sinaburocast.form.admin;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;
/**
 * 管理者ログインForm
 *
 * @author choi-c
 *
 */
public class AdminLoginForm {

	@Required(msg=@Msg(key="errors.required.login"), arg0=@Arg(key="labels.loginId"))
	public String loginId;

	@Required(msg=@Msg(key="errors.required.login"), arg0=@Arg(key="labels.password"))
	public String password;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
