package jp.agentec.sinaburocast.form.admin.setting;

import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.Mask;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;



/**
 * 管理者登録Form
 *
 * @author choi-c
 *
 */
public class AdminRegistForm {

	public String adminUserId;

	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.loginId"))
	@Mask(mask = "^[0-9a-zA-Z]{6,20}$", msg = @Msg(key = "errors.rangeStr"), arg0=@Arg(key="labels.loginId"),args = {@Arg(key = "6", resource = false, position = 1),@Arg(key = "20", resource = false, position = 2)})
	public String loginId;

	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.password"))
	@Mask(mask = "^[0-9a-zA-Z]{4,20}$", msg = @Msg(key = "errors.rangeStr"), arg0=@Arg(key="labels.password"),args = {@Arg(key = "4", resource = false, position = 1),@Arg(key = "20", resource = false, position = 2)})
	public String password;

	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.adminUserName"))
	@Maxlength(maxlength=30, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.adminUserName"))
	public String adminUserName;


	@Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.email"))
	@Mask(mask = "^[!-~]+@[!-~]+$",msg = @Msg(key = "errors.email"),arg0=@Arg(key="labels.pcMail"))
	@Maxlength(maxlength=64, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.pcMail"))
	public String email;

	public String delFlg;

	public String updateFlag;
	//管理者検索に戻る際のページNO
	public String pageNo;

	//管理者検索画面から遷移してきた場合の押されたLOGINID
	public String clickedLoginId;


}
