package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name="t_file_manage")
public class FileManage extends AbstractEntity {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "file_manage_id")
	public Integer fileManageId;

	@Column(name = "file_type")
	public Short fileType;

	@Column(name = "file_name")
	public String fileName;

	public String memo;

	@Temporal(TemporalType.DATE)
	@Column(name = "upload_date")
	public Timestamp uploadDate;
}
