package jp.agentec.sinaburocast.entity;

import java.sql.Timestamp;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;

@Entity
@Table(name="t_gift_exchange")
public class GiftExchange extends AbstractEntity {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name = "gift_exchange_id")
	public Integer giftExchangeId;

	@Column(name = "member_id")
	public Integer memberId;

	@Column(name = "gift_id")
	public Integer giftId;

	public Integer cnt;

	@Temporal(TemporalType.DATE)
	@Column(name = "apply_date")
	public Timestamp applyDate;

    @ManyToOne
    @JoinColumn(name = "member_id", referencedColumnName = "member_id")
	public Member member;

    @ManyToOne
    @JoinColumn(name = "gift_id", referencedColumnName = "gift_id")
	public Gift gift;
}
