package jp.agentec.sinaburocast.form.admin.enquete;

import java.util.List;

import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

import jp.agentec.sinaburocast.entity.Enquete;
import jp.agentec.sinaburocast.entity.EnqueteSummary;
import jp.agentec.sinaburocast.form.admin.setting.PagingForm;




/**
 * アンケート結果Form
 *
 * @author choi-c
 *
 */
@Component(instance=InstanceType.SESSION)
public class EnqueteResultForm extends PagingForm{
	
	
	/**
	 * アンケートID	
	 */
	public String eid;
	
	public Enquete enquete;
	
	public String enqueteStatus;
	
	public String templateName;
	
	public String answerCount;
	
	
	public void resetIndex(){
	}
	
	
	public void pagingReset(){
		pageNo=1;
		
	}
	
	
	/**
	 * CSVダウンロード用のファイル名
	 */
	public String enqueteSummaryId;
	
	public Integer csvEid;

	
	public List<EnqueteSummary> enqueteSummaryList;
	
}
