package jp.agentec.sinaburocast.form.user;

import org.apache.commons.lang.builder.StandardToStringStyle;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.seasar.struts.annotation.Arg;
import org.seasar.struts.annotation.IntegerType;
import org.seasar.struts.annotation.Mask;
import org.seasar.struts.annotation.Maxlength;
import org.seasar.struts.annotation.Msg;
import org.seasar.struts.annotation.Required;

public class RegistForm {

    /** メールアドレス */
    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.contractEmail"))
    @Maxlength(maxlength=64, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.contractEmail"))
    @Mask(mask = "^[!-~]+@[!-~]+$",msg = @Msg(key = "errors.email"), arg0=@Arg(key="labels.contractEmail"))
	public String email;

    /** メールアドレス */
    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.contractEmail1"))
    @Maxlength(maxlength=64, msg=@Msg(key="errors.maxlength"), arg0=@Arg(key="labels.contractEmail1"))
    @Mask(mask = "^[!-~]+@[!-~]+$",msg = @Msg(key = "errors.email"), arg0=@Arg(key="labels.contractEmail1"))
	public String email1;

    @Required(msg=@Msg(key="errors.required"), arg0=@Arg(key="labels.genderCd"))
    @IntegerType
    public Integer genderCd;
    
	public String birthdayY;
	public String birthdayM;
	public String birthdayD;
    
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, StandardToStringStyle.SIMPLE_STYLE).toString();
	}

}
